## ros-one-robot-self-filter 0.1.32-2jammy.20251023.1057

=== debian/changelog ===
ros-one-robot-self-filter (0.1.32-2jammy.20251023.1057) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 23 Oct 2025 10:57:03 +0000

ros-one-robot-self-filter (0.1.32-0jammy) jammy; urgency=high

  * PCL > 1.10 uses c++ 14
  * find_package(Boost signals) no longer required for noetic, use find_package(Boost)
  * remove indigo/lunar from .travis.yml
  * add noetic and fix .travs.yml
  * Contributors: Kei Okada

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-robot-self-filter (0.1.31-0jammy) jammy; urgency=high

  * Merge pull request #16 <https://github.com/PR2/robot_self_filter/issues/16> from mikaelarguedas/tinyxml_dependency
    depends on tinyxml and link against it
  * Merge branch 'indigo-devel' into tinyxml_dependency
  * Merge pull request #18 <https://github.com/PR2/robot_self_filter/issues/18> from k-okada/add_travis
    update travis.yml
  * update travis.yml
  * depend on tinyxml and link against it
  * Merge pull request #14 <https://github.com/PR2/robot_self_filter/issues/14> from traclabs/indigo-devel
    Minor changes to indigo-devel CMake allow this to be used in kinetic and indigo
  * Changes for kinetic
  * Contributors: Devon Ash, Kei Okada, Mikael Arguedas, Patrick Beeson

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 24 Nov 2018 00:00:00 -0000

ros-one-robot-self-filter (0.1.30-0jammy) jammy; urgency=high

  * Fix typo in CMakeLists.txt: CATKIN-DEPENDS -> CATKIN_DEPENDS
  * Add ~max_queue_size parameter for subscription queue size
  * Contributors: Devon Ash, Kentaro Wada, Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 20 Jan 2017 00:00:00 -0000

ros-one-robot-self-filter (0.1.29-0jammy) jammy; urgency=high

  * pr2_navigation_self_filter -> robot_self_filter
  * Add robot_self_filter namespace before bodies and shapes namespace.
    geometric_shapes package also provides bodies and shapes namespace
    and same classes and functions. If a program is linked with
    geometric_shapes and robot_self_filter, it may cause strange behavior
    because of symbol confliction.
  * Contributors: Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-robot-self-filter (0.1.28-0jammy) jammy; urgency=high

  * Added indigo devel
  * Set correct timestamp for self filtered cloud
    This is needed because pcl drops some value of timestamp.
    So pcl::fromROSMsg and pcl::toROSMsg does not work to get correct timestamp.
    Protected member variables in SelfMask for subclass of SelfMask
  * Protected member variables in SelfMask for subclass of SelfMask
  * Contributors: Devon Ash, Kentaro Wada, Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 04 Dec 2015 00:00:00 -0000

ros-one-robot-self-filter (0.1.27-0jammy) jammy; urgency=high

  * Porting robot_self_filter from pr2_navigation_self_filter
  * Initial commit
  * Contributors: Devon Ash, Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 01 Dec 2015 00:00:00 -0000

## ros-one-robot-self-filter 0.1.32-2jammy.20251207.2325

=== debian/changelog ===
ros-one-robot-self-filter (0.1.32-2jammy.20251207.2325) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 07 Dec 2025 23:25:31 +0000

## ros-one-robot-self-filter 0.1.32-2jammy.20260221.2220

=== debian/changelog ===
ros-one-robot-self-filter (0.1.32-2jammy.20260221.2220) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 21 Feb 2026 22:20:24 +0000

## ros-one-robot-self-filter 0.1.32-2noble.20251023.1119

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(robot_self_filter)

find_package(PkgConfig REQUIRED)

find_package(Boost REQUIRED COMPONENTS)

set(bullet_FOUND 0)
pkg_check_modules(bullet REQUIRED bullet)

find_package( PCL REQUIRED )
add_definitions(${PCL_DEFINITIONS})
if(CMAKE_COMPILER_IS_GNUCXX)
  # PCL < 1.10 needs c++11, which wasn't the default on targeted systems yet
  if("${PCL_VERSION}" VERSION_LESS "1.10")
    add_compile_options(-std=c++11)
  endif()
endif()


find_package(ASSIMP QUIET)
if (NOT ASSIMP_FOUND)
  pkg_check_modules(ASSIMP assimp)
endif()
if (ASSIMP_FOUND)
  if( NOT ${ASSIMP_VERSION} VERSION_LESS "2.0.1150" )
    add_definitions(-DASSIMP_UNIFIED_HEADER_NAMES)
    message(STATUS "Assimp version has unified headers")
  else()
    message(STATUS "Assimp version does not have unified headers")
  endif()
  include_directories(${ASSIMP_INCLUDE_DIRS})
  link_directories(${ASSIMP_LIBRARY_DIRS})
else()
  message(STATUS "could not find assimp (perhaps available thorugh ROS package?), so assimping assimp v2")
  set(ASSIMP_LIBRARIES assimp)
  set(ASSIMP_LIBRARY_DIRS)
  set(ASSIMP_CXX_FLAGS)
  set(ASSIMP_CFLAGS_OTHER)
  set(ASSIMP_LINK_FLAGS)
  set(ASSIMP_INCLUDE_DIRS)
endif()


find_package(catkin REQUIRED COMPONENTS roscpp tf filters sensor_msgs urdf roscpp resource_retriever visualization_msgs pcl_ros cmake_modules)

find_package(TinyXML REQUIRED)

catkin_package(
    DEPENDS bullet
    CATKIN_DEPENDS roscpp tf filters sensor_msgs urdf resource_retriever visualization_msgs pcl_ros
    INCLUDE_DIRS include
    LIBRARIES robot_geometric_shapes ${PROJECT_NAME}
)

#common commands for building c++ executables and libraries
add_library(robot_geometric_shapes src/load_mesh.cpp src/shapes.cpp src/bodies.cpp)

add_library(${PROJECT_NAME} src/self_mask.cpp)
target_link_libraries(${PROJECT_NAME} robot_geometric_shapes assimp)


add_executable(test_filter src/test_filter.cpp)
target_link_libraries(test_filter ${PROJECT_NAME})
target_link_libraries(test_filter robot_geometric_shapes  assimp)

add_executable(self_filter src/self_filter.cpp)
target_link_libraries(self_filter ${PROJECT_NAME})
target_link_libraries(self_filter robot_geometric_shapes  assimp)

include_directories(include ${bullet_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
target_link_libraries(robot_geometric_shapes ${bullet_LIBRARIES} ${Boost_LIBRARIES} ${PCL_LIBRARIES} ${catkin_LIBRARIES} ${TinyXML_LIBRARIES} assimp)


install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME} test_filter self_filter robot_geometric_shapes
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-one-robot-self-filter (0.1.32-2noble.20251023.1119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 23 Oct 2025 11:19:11 +0000

ros-one-robot-self-filter (0.1.32-0noble) noble; urgency=high

  * PCL > 1.10 uses c++ 14
  * find_package(Boost signals) no longer required for noetic, use find_package(Boost)
  * remove indigo/lunar from .travis.yml
  * add noetic and fix .travs.yml
  * Contributors: Kei Okada

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-robot-self-filter (0.1.31-0noble) noble; urgency=high

  * Merge pull request #16 <https://github.com/PR2/robot_self_filter/issues/16> from mikaelarguedas/tinyxml_dependency
    depends on tinyxml and link against it
  * Merge branch 'indigo-devel' into tinyxml_dependency
  * Merge pull request #18 <https://github.com/PR2/robot_self_filter/issues/18> from k-okada/add_travis
    update travis.yml
  * update travis.yml
  * depend on tinyxml and link against it
  * Merge pull request #14 <https://github.com/PR2/robot_self_filter/issues/14> from traclabs/indigo-devel
    Minor changes to indigo-devel CMake allow this to be used in kinetic and indigo
  * Changes for kinetic
  * Contributors: Devon Ash, Kei Okada, Mikael Arguedas, Patrick Beeson

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 24 Nov 2018 00:00:00 -0000

ros-one-robot-self-filter (0.1.30-0noble) noble; urgency=high

  * Fix typo in CMakeLists.txt: CATKIN-DEPENDS -> CATKIN_DEPENDS
  * Add ~max_queue_size parameter for subscription queue size
  * Contributors: Devon Ash, Kentaro Wada, Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 20 Jan 2017 00:00:00 -0000

ros-one-robot-self-filter (0.1.29-0noble) noble; urgency=high

  * pr2_navigation_self_filter -> robot_self_filter
  * Add robot_self_filter namespace before bodies and shapes namespace.
    geometric_shapes package also provides bodies and shapes namespace
    and same classes and functions. If a program is linked with
    geometric_shapes and robot_self_filter, it may cause strange behavior
    because of symbol confliction.
  * Contributors: Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-robot-self-filter (0.1.28-0noble) noble; urgency=high

  * Added indigo devel
  * Set correct timestamp for self filtered cloud
    This is needed because pcl drops some value of timestamp.
    So pcl::fromROSMsg and pcl::toROSMsg does not work to get correct timestamp.
    Protected member variables in SelfMask for subclass of SelfMask
  * Protected member variables in SelfMask for subclass of SelfMask
  * Contributors: Devon Ash, Kentaro Wada, Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 04 Dec 2015 00:00:00 -0000

ros-one-robot-self-filter (0.1.27-0noble) noble; urgency=high

  * Porting robot_self_filter from pr2_navigation_self_filter
  * Initial commit
  * Contributors: Devon Ash, Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 01 Dec 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-robot-self-filter
Section: misc
Priority: optional
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libbullet-dev, libtinyxml-dev, ros-one-catkin, ros-one-cmake-modules, ros-one-filters, ros-one-pcl-ros, ros-one-resource-retriever, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-urdf, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/robot_self_filter
Standards-Version: 3.9.2

Package: ros-one-robot-self-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libbullet-dev, libtinyxml-dev, ros-one-filters, ros-one-pcl-ros, ros-one-resource-retriever, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-urdf, ros-one-visualization-msgs
Description: Filters the robot's body out of point clouds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-robot-self-filter//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-robot-self-filter 0.1.32-2noble.20251208.1018

=== debian/changelog ===
ros-one-robot-self-filter (0.1.32-2noble.20251208.1018) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 08 Dec 2025 10:18:35 +0000

## ros-one-robot-self-filter 0.1.32-2noble.20260221.2316

=== debian/changelog ===
ros-one-robot-self-filter (0.1.32-2noble.20260221.2316) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 21 Feb 2026 23:16:51 +0000
